> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Requestable Credential Offerings

> SearchRequestableCredentialOfferings returns the credential offerings the target user can
 request, optionally limited to one app, ordered by display name then ids.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/request_catalog/credential_offerings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/request_catalog/credential_offerings:
    post:
      tags:
        - Request Catalog
      summary: Search Requestable Credential Offerings
      description: >-
        SearchRequestableCredentialOfferings returns the credential offerings
        the target user can
         request, optionally limited to one app, ordered by display name then ids.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogSearchService.SearchRequestableCredentialOfferings
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.SearchRequestableCredentialOfferingsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.SearchRequestableCredentialOfferingsResponse
          description: Successful response
components:
  schemas:
    c1.api.requestcatalog.v1.SearchRequestableCredentialOfferingsRequest:
      description: The SearchRequestableCredentialOfferingsRequest message.
      properties:
        appId:
          description: Limits the search to one app.
          type: string
        pageSize:
          description: The pageSize field.
          format: int32
          type: integer
        pageToken:
          description: The pageToken field.
          type: string
        query:
          description: The query field.
          type: string
        targetUserId:
          description: The user to search for. Defaults to the caller.
          type: string
      title: Search Requestable Credential Offerings Request
      type: object
      x-speakeasy-name-override: SearchRequestableCredentialOfferingsRequest
    c1.api.requestcatalog.v1.SearchRequestableCredentialOfferingsResponse:
      description: The SearchRequestableCredentialOfferingsResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: >-
              #/components/schemas/c1.api.requestcatalog.v1.CredentialOfferingView
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type: string
      title: Search Requestable Credential Offerings Response
      type: object
      x-speakeasy-name-override: SearchRequestableCredentialOfferingsResponse
    c1.api.requestcatalog.v1.CredentialOfferingView:
      description: >-
        CredentialOfferingView is one connector credential kind published
        through an Access Profile.
      properties:
        allowedViews:
          description: The allowedViews field.
          format: int32
          type: integer
        appId:
          description: The appId field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        id:
          description: The id field.
          type: string
        maxDuration:
          format: duration
          type:
            - string
            - 'null'
        requestCatalogId:
          description: |-
            The Access Profile that publishes this offering. An offering can be
             published through multiple profiles, so requests must retain this binding.
          type: string
        requesterAccountSubject:
          description: >-
            True when the credential is issued for an account owned by the
            request
             recipient. Shared-account offerings never accept an account selection.
          type: boolean
        requesterAppUserIds:
          description: >-
            Connector-compatible app accounts owned by the request recipient.
            This is
             populated only when the search has a target user. It never includes
             another user's app account.
          items:
            type: string
          type:
            - array
            - 'null'
        retrievalWindow:
          format: duration
          type:
            - string
            - 'null'
      title: Credential Offering View
      type: object
      x-speakeasy-name-override: CredentialOfferingView
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````